2019-08-23 16:09 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005531AIAIpublic2018-02-27 15:25
ReporterThinkSome 
Assigned Toabma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005531: E323AI crashes spring 103.0 with Spring:1944 on expanded confluence
Descriptionno config => don't tell the player anything, just crash!
TagsNo tags attached.
Attached Files
  • txt file icon infolog.txt (35,356 bytes) 2017-04-22 02:05 -
    [ParseCmdLine] command-line args: "/opt/spring/103.0/bin/spring "/home/specing/.springlobby/script.txt""
    Using configuration source: "/home/specing/.spring/springsettings.cfg"
    Using additional configuration source: "/home/specing/.config/spring/springsettings.cfg"
    ============== <User Config> ==============
    3DTrees = 0
    AdvUnitShading = 0
    BumpWaterReflection = 0
    BumpWaterRefraction = 0
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 0
    BumpWaterUseDepthTexture = 0
    CamMode = 5
    Fullscreen = 0
    GrassDetail = 0
    GroundDecals = 0
    GroundDetail = 110
    InputTextGeo = 0.26 0.73 0.02 0.028
    LogFlushLevel = -100000
    LuaShaders = 0
    MaxDynamicMapLights = 4
    MaxDynamicModelLights = 4
    MaxNanoParticles = 0
    MaxParticles = 300
    MiniMapDrawCommands = 0
    MiniMapFullProxy = 0
    ScreenshotCounter = 65
    ScrollWheelSpeed = -25
    ShadowMapSize = 1024
    Shadows = -1
    ShowFPS = 1
    ShowPlayerInfo = 0
    SmoothLines = 0
    SmoothPoints = 0
    TeamNanoSpray = 0
    TreeRadius = 600
    UnitIconDist = 250
    UnitLodDist = 100
    VSync = -1
    WindowPosX = 1
    WindowPosY = 20
    WindowState = 0
    XResolutionWindowed = 1918
    YResolutionWindowed = 1179
    snd_volunitreply = 500
    ============== </User Config> ==============
    Available log sections: SkyBox, Font, LuaSocket, Net, KeyBindings, CSMFGroundTextures, CregSerializer, RoamMeshDrawer, GameServer, BumpWater, DynWater, OBJParser, ArchiveScanner, ModelRenderContainer, CrashHandler, FarTextureHandler, Shader, Model, Path, Texture, GroundMoveType, Piece, AutohostInterface, Sound, VFS, DecalsDrawerGL4
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 103.0
    Build Environment: boost-105600, GNU libstdc++ version 20150626
    Compiler Version:  gcc-4.9.3
    Operating System:  Linux 4.0.8-hardened #2 SMP Thu Jul 30 19:34:09 CEST 2015 x86_64
    Word Size:         64-bit (native mode)
             CPU Clock: std::chrono::high_resolution_clock
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1200:
    	720x400, 640x480, 800x600, 1024x768, 1280x960, 1280x1024, 1680x1050, 1600x1200, 1920x1200
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   3.0 Mesa 13.0.5
    GL vendor:    Intel Open Source Technology Center
    GL renderer:  Mesa DRI Intel(R) Ivybridge Desktop 
    GLSL version: 1.30
    GLEW version: 1.10.0
    Video RAM:    unknown
    SwapInterval: 1
    FBO::maxSamples: 8
    GL info:
    	haveARB: 0, haveGLSL: 0, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 8192, compress MIP-map textures: 0
    	maximum SmoothPointSize: 255, maximum vec4 varying/attributes: 32/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 3000/3000
    	number of UniformBufferBindings: 70 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1918x1179:24bit @59Hz (windowed)
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: /home/specing/.spring/
    Using read-only data directory: /home/specing/.config/spring/
    Using read-only data directory: /opt/spring/103.0/share/games/spring/
    Scanning: /opt/spring/103.0/share/games/spring/base
    Scanning: /home/specing/.spring/maps
    Scanning: /home/specing/.spring/games
    Scanning: /home/specing/.spring/packages
    CArchiveScanner: 3 ms
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               ALSA Default
    [f=-000001] [Sound]               HDA Intel PCH, ID 397 Analog (CARD=PCH,DEV=0)
    [f=-000001] [Sound]               HDA Intel PCH, ID 397 Digital (CARD=PCH,DEV=3)
    [f=-000001] [Sound]               HDA Intel PCH, ID 2806 Digital (CARD=PCH,DEV=7)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=-000001] [Sound]   EFX Enabled: yes
    [f=-000001] [Sound]   Max Sounds: 128
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=2
    [f=-000001] [Threading] Main thread CPU affinity mask set: 12
    [f=-000001] [StartScript] Loading StartScript from: /home/specing/.springlobby/script.txt
    [f=-000001] Hosting on: :8452
    [f=-000001] Connecting to local server
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Expanded_Confluence
    [f=-000001] Checksums: game=0x80FCABDE map=0x8510DB9E
    [f=-000001] Binding UDP socket to IP (v6) :: () port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] PreGame::StartServer: 73 ms
    [f=-000001] [InitOpenGL] video mode set to 1918x1179:24bit @59Hz (windowed)
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Expanded_Confluence
    [f=-000001] [AddGameSetupArchivesToVFS] using game: Spring: 1944 test-4909-d25e4ff (archive: a11059f2e6e3a95cc844e5cab3feca0f.sdp)
    [f=-000001] Recording demo to: /home/specing/.spring/demos/20170422_020430_Expanded_Confluence_103.sdfz
    [f=-000001] PreGame::GameDataReceived: 65 ms
    [f=-000001] [PreGame::UpdateClientNet] user number 0 (team 1, allyteam 0)
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] Searching for loadscreen music...
    [f=-000001] found: 1. LuaIntro/Assets/music/colonelbogey.ogg
    [f=-000001] found: 2. LuaIntro/Assets/music/lilimar4.ogg
    [f=-000001] found: 3. LuaIntro/Assets/music/roei_no_uta.ogg
    [f=-000001] found: 4. LuaIntro/Assets/music/svyashen.ogg
    [f=-000001] playing: 2. LuaIntro/Assets/music/lilimar4.ogg
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] LoadingScreen: single-threaded
    [f=-000001] [WatchDog] registering controls for thread [load]
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (195 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] [weapondefs_post] Warning: mismatch in weapon costs (sweb18, boforsm40_20mmap [-1 (current) vs. 4(new)])
    [f=-000001] [defs.lua] loading all *Defs tables: 683ms
    [f=-000001] Game::LoadDefs (GameData): 716 ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound]  parsed 6 sounds from gamedata/sounds.lua
    [f=-000001] Game::LoadDefs (Sound): 1 ms
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] SmoothHeightMesh::MakeSmoothMesh: 90 ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 17
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] Loading Weapon Definitions
    [f=-000001] Warning: WeaponDefs: Unknown tag "weaponcost" in "satchelcharge"
    [f=-000001] Loading Unit Definitions
    [f=-000001] Loading Feature Definitions
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler
    [f=-000001] [Init] shadow rendering is disabled (config-value -1)
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] CSMFGroundTextures::ConvolveHeightMap: 5 ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Loaded DecalsDrawer: off
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Creating Water
    [f=-000001] Game::LoadInterface (Camera&Mouse): 5 ms
    [f=-000001] Game::LoadInterface (Console): 1 ms
    [f=-000001] InfoTexture: legacy
    [f=-000001] Loading LuaRules
    [f=-000001] Loaded SYNCED gadget:  1944 Custom Command Handler  <0_api_customcmdhandler.lua>
    [f=-000001] Loaded SYNCED gadget:  Texture preloader   <game_texpreload.lua>
    [f=-000001] Loaded SYNCED gadget:  Gadget/Widget remover  <remover.lua>
    [f=-000001] Loaded SYNCED gadget:  Commands API        <api_cmdqueue.lua>
    [f=-000001] Loaded SYNCED gadget:  Delay API           <api_delay.lua>
    [f=-000001] Loaded SYNCED gadget:  Util API            <api_util.lua>
    [f=-000001] Loaded SYNCED gadget:  Vector API          <api_vector.lua>
    [f=-000001] Loaded SYNCED gadget:  Cruise Missiles     <game_cruisemissile.lua>
    [f=-000001] Loaded SYNCED gadget:  Flag Manager        <game_flagmanager.lua>
    [f=-000001] Loaded SYNCED gadget:  LockCamera          <camera_broadcast.lua>
    [f=-000001] Loaded SYNCED gadget:  Partisan Spawner    <game_partisanspawn.lua>
    [f=-000001] Loaded SYNCED gadget:  Spring: 1944 Paratroopers  <game_paratroopers.lua>
    [f=-000001] Loaded SYNCED gadget:  Spring: 1944 Planes  <game_planes.lua>
    [f=-000001] Loaded SYNCED gadget:  Squad Spawner       <unit_squadspawner.lua>
    [f=-000001] Loaded SYNCED gadget:  Storage Dies Penalty  <unit_storage_dies_penalty.lua>
    [f=-000001] Loaded SYNCED gadget:  Turn Command        <unit_turn.lua>
    [f=-000001] Loaded SYNCED gadget:  Developer commands  <dev_cheats.lua>
    [f=-000001] Loaded SYNCED gadget:  LUS Helper          <lus_helper.lua>
    [f=-000001] Loaded SYNCED gadget:  Ammo Limiter        <game_ammo.lua>
    [f=-000001] Loaded SYNCED gadget:  Armour Hit Volumes  <unit_armourhitvols.lua>
    [f=-000001] Loaded SYNCED gadget:  Base Command Income  <game_basecommandincome.lua>
    [f=-000001] Loaded SYNCED gadget:  Binocs for Scouts   <unit_scoutbinocs.lua>
    [f=-000001] Loaded SYNCED gadget:  Button Manipulator  <cmd_fixbuttons.lua>
    [f=-000001] Loaded SYNCED gadget:  Command Controller  <game_notreereclaim.lua>
    [f=-000001] Loaded SYNCED gadget:  Composite Ships Helper  <unit_compositeships.lua>
    [f=-000001] Loaded SYNCED gadget:  Corpse cleaner      <game_corpsecleaner.lua>
    [f=-000001] Loaded SYNCED gadget:  Feature CEG         <feature_ceg.lua>
    [f=-000001] Loaded SYNCED gadget:  Flag Returns        <game_handleflagreturns.lua>
    [f=-000001] Loaded SYNCED gadget:  Indirect Fire Accuracy Manager  <unit_indirectfireaccuracy.lua>
    [f=-000001] Loaded SYNCED gadget:  Infantry supply rules  <game_infsupply.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded SYNCED gadget:  Minefield spawner   <game_minefields.lua>
    [f=-000001] Loaded SYNCED gadget:  Plane Fear          <game_planefear.lua>
    [f=-000001] Loaded SYNCED gadget:  Satchels for Commandos  <unit_commandossatchel.lua>
    [f=-000001] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded SYNCED gadget:  Spawn               <game_setup.lua>
    [f=-000001] Loaded SYNCED gadget:  Spring 1944 Armor   <game_armor.lua>
    [f=-000001] Loaded SYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded SYNCED gadget:  Transport Helper    <unit_hidetransported.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitFortify         <unit_fortify.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_nano_spray.lua  <lups_nano_spray.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  Beaching Command    <cmd_lcgm.lua>
    [f=-000001] Loaded SYNCED gadget:  Clear Path          <cmd_clearpath.lua>
    [f=-000001] Loaded SYNCED gadget:  Communism mode      <game_communismmode.lua>
    [f=-000001] Loaded SYNCED gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=-000001] Loaded SYNCED gadget:  Detonate Button     <cmd_detonate.lua>
    [f=-000001] Loaded SYNCED gadget:  Game Over           <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Game Sensors        <game_sensors.lua>
    [f=-000001] Loaded SYNCED gadget:  Logistics Supply    <game_logisticssupply.lua>
    [f=-000001] Loaded SYNCED gadget:  Spring: 1944 Damage Over Time  <game_damageovertime.lua>
    [f=-000001] Loaded SYNCED gadget:  Spring: 1944 Visible Cover Areas  <game_visiblecover.lua>
    [f=-000001] Loaded SYNCED gadget:  Target Priorities for LUS vehicles  <unit_targetpriorities.lua>
    [f=-000001] Loaded SYNCED gadget:  Tracers             <gfx_tracers.lua>
    [f=-000001] Loaded SYNCED gadget:  Fake fire state     <unit_fakefirestate.lua>
    [f=-000001] Loaded SYNCED gadget:  Immobilization      <unit_immobilization.lua>
    [f=-000001] Loaded SYNCED gadget:  Infantry Suppression  <game_fearhandler.lua>
    [f=-000001] Loaded SYNCED gadget:  LUS weapon toggle   <unit_weapontoggle.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <cmd_areaattack.lua>
    [f=-000001] Loaded SYNCED gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=-000001] Loaded SYNCED gadget:  Smoke shells and generators  <unit_smokeshells.lua>
    [f=-000001] Loaded SYNCED gadget:  1944 Unit Kill Voice  <game_killvoice.lua>
    [f=-000001] Loaded SYNCED gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overview style camera
    [f=-000001] Loaded UNSYNCED gadget:  1944 Custom Command Handler  <0_api_customcmdhandler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Texture preloader   <game_texpreload.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Gadget/Widget remover  <remover.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Commands API        <api_cmdqueue.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Delay API           <api_delay.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Util API            <api_util.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Vector API          <api_vector.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cruise Missiles     <game_cruisemissile.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Flag Manager        <game_flagmanager.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LockCamera          <camera_broadcast.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Partisan Spawner    <game_partisanspawn.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Spring: 1944 Paratroopers  <game_paratroopers.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Spring: 1944 Planes  <game_planes.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Storage Dies Penalty  <unit_storage_dies_penalty.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Turn Command        <unit_turn.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Developer commands  <dev_cheats.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LUS Helper          <lus_helper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Ammo Limiter        <game_ammo.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Armour Hit Volumes  <unit_armourhitvols.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Base Command Income  <game_basecommandincome.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Binocs for Scouts   <unit_scoutbinocs.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Button Manipulator  <cmd_fixbuttons.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Command Controller  <game_notreereclaim.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Composite Ships Helper  <unit_compositeships.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Corpse cleaner      <game_corpsecleaner.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Flag Returns        <game_handleflagreturns.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Infantry supply rules  <game_infsupply.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Minefield spawner   <game_minefields.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Plane Fear          <game_planefear.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Satchels for Commandos  <unit_commandossatchel.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Transport Helper    <unit_hidetransported.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitFortify         <unit_fortify.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  game_end.lua        <game_end.lua>
    [f=-000001] Loaded UNSYNCED gadget:  lups_nano_spray.lua  <lups_nano_spray.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Clear Path          <cmd_clearpath.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Communism mode      <game_communismmode.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Detonate Button     <cmd_detonate.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Game Sensors        <game_sensors.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Logistics Supply    <game_logisticssupply.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Target Priorities for LUS vehicles  <unit_targetpriorities.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Tracers             <gfx_tracers.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Immobilization      <unit_immobilization.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Infantry Suppression  <game_fearhandler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <cmd_areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  1944 Unit Kill Voice  <game_killvoice.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "LuaUI/main.lua"
    [f=-000001] LuaUI Access Lock: enabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] [LuaUI] Searching for new Widgets
    [f=-000001] [LuaUI] Scanning: LuaUI/Addons/
    [f=-000001] [LuaUI] Scanning: LuaUI/Widgets/
    [f=-000001] [LuaUI] Scanning: LuaUI/SystemAddons/
    [f=-000001] [LuaUI] Scanning: LuaUI/SystemWidgets/
    [f=-000001] [LuaUI] Scanning: LuaUI/chili/
    [f=-000001] [LuaUI] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaUI] Loading API widget:  Chili Framework        <api_chili.lua>
    [f=-000001] [LuaUI] Loading API widget:  Lups                   <lups_wrapper.lua>
    [f=-000001] [LuaUI] Loading widget:      Gadget/Widget remover  <remover.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Fonts             <api_s44_fonts.lua>
    [f=-000001] [LuaUI] Loading widget:      Commands API           <api_cmdqueue.lua>
    [f=-000001] [LuaUI] Loading widget:      Vector API             <api_vector.lua>
    [f=-000001] [LuaUI] Loading widget:      Faction Change         <gui_faction_change.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Tooltip Replacement  <gui_s44_tooltip_replacement.lua>
    [f=-000001] [LuaUI] Loading widget:      BuildETA               <gui_buildeta.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Aircraft Selection Buttons  <gui_plane_autoselect.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Flag Income       <gui_flagincome.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Ranks             <gui_s44_ranks.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Selection Buttons  <gui_s44_selbuttons.lua>
    [f=-000001] [LuaUI] Loading widget:      Auto First Build Facing  <autofirstbuildfacing.lua>
    [f=-000001] [LuaUI] Loading widget:      Automatic Modes        <cmd_automodes.lua>
    [f=-000001] All units set to Hold Position
    [f=-000001] [LuaUI] Loading widget:      Camera Remember        <camera_remember_mode.lua>
    [f=-000001] CMDIDs in keeptarget:, 1055, 1056
    [f=-000001] CMDIDs in keeptarget:, 1055, 1056
    [f=-000001] [LuaUI] Loading widget:      Keep Target            <cmd_keep_target.lua>
    [f=-000001] [LuaUI] Loading widget:      Point Tracker          <gui_point_tracker.lua>
    [f=-000001] [LuaUI] Loading widget:      S44 Healthbars         <gui_s44_healthbar.lua>
    [f=-000001] [LuaUI] Loading widget:      Snap Satchel to building  <cmd_snapsatchel.lua>
    [f=-000001] [LuaUI] Loading widget:      Spectate selected team  <gui_spectate_selected_team.lua>
    [f=-000001] [LuaUI] Loading widget:      Take Reminder          <gui_take_remind.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Anti-spam         <gui_antispam.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Armor Display     <gui_s44_armor.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Default Commands  <cmd_defaultcommand.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Field of Fire     <gui_s44_fieldoffire.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Icon Distance     <cmd_disticon.lua>
    [f=-000001] Set UnitIconDist to 250
    [f=-000001] [LuaUI] Loading widget:      1944 Minefield Warning  <gui_minefieldnotify.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Player List Echo for Stats  <gui_playerecho.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Resource Bars     <gui_s44_resbar.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Supply Radius     <gui_s44_supplyradius.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Widgets Only      <gui_s44only.lua>
    [f=-000001] S44 Widgets Only disabling non-S44 widgets...
    [f=-000001] [LuaUI] Loading widget:      Attack AoE             <gui_attack_aoe.lua>
    [f=-000001] [LuaUI] Loading widget:      Auto group             <unit_auto_group.lua>
    [f=-000001] [LuaUI] Loading widget:      Automatically enable los  <gui_auto_los.lua>
    [f=-000001] [LuaUI] Loading widget:      BuildBar               <gui_buildbar.lua>
    [f=-000001] BuildBar Warning: you deactivated the "blurApi" widget, please reactivate it.
    [f=-000001] [LuaUI] Loading widget:      Indirect Fire Accuracy  <gui_indirectfireaccuracy.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Build Indicators  <gui_buildindicator.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Flag Ranges       <gui_flagradiusalt.lua>
    [f=-000001] [LuaUI] Loading widget:      AllyCursors            <gui_allycursors.lua>
    [f=-000001] [LuaUI] Loading widget:      Square Buildpics       <square_buildpics.lua>
    [f=-000001] Reloading GUI config from file: panel.txt
    [f=-000001] [LuaUI] Loading widget:      Team Platter Expanded  <gui_team_platter_ex.lua>
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] [LuaUI] Loading widget:      LupsManager            <gfx_lups_manager.lua>
    [f=-000001] [LuaUI] Loading widget:      Mouse Buildspacing     <gui_buildspacing.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Auto Reload Ammo  <auto_reload_ammo.lua>
    [f=-000001] [LuaUI] Loading widget:      Double-Click Fight     <cmd_doubleclickfight.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Aircraft Sounds   <sfx_s44_planesound.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Minimum Ranges    <gui_s44_rings.lua>
    [f=-000001] [LuaUI] Loading widget:      1944 Propeller FX      <gfx_s44_props.lua>
    [f=-000001] [LuaUI] Loading widget:      CustomFormations2      <unit_customformations2.lua>
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] [LuaUI] Warning: Headers files aren't supported anymore use "require" instead!
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overview style camera
    [f=-000001] CMDIDs in keeptarget:, 1055, 1056
    [f=-000001] All units set to Hold Position
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Set UnitIconDist to 250
    [f=-000001] S44 Widgets Only disabling non-S44 widgets...
    [f=-000001] BuildBar Warning: you deactivated the "blurApi" widget, please reactivate it.
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] LuaUI v1.0
    [f=-000001] [LuaUI] LuaUI v1.0 (Lua 5.1)
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=4080296007
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=3423312810
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=39296689
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=305187214
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=8
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=3553125510
    [f=-000001] Reading Estimate PathCosts [8]
    [f=-000001] [Path] [PathEstimator::Hash] mapChecksum=4080296007
    [f=-000001] [Path] [PathEstimator::Hash] typeMapChecksum=3423312810
    [f=-000001] [Path] [PathEstimator::Hash] moveDefChecksum=39296689
    [f=-000001] [Path] [PathEstimator::Hash] blockingChecksum=305187214
    [f=-000001] [Path] [PathEstimator::Hash] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::Hash] PATHESTIMATOR_VERSION=78
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=3553125534
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (133ms, checksum af1c1c03)
    [f=-000001] Loading Skirmish AIs
    [f=-000001] SkirmishAI (ID = 0, team ID = 0) is using cheats!
    [f=-000001] <SkirmishAI: E323AI 3.25.0 (team 0)>: Logging disabled
    [f=-000001] <SkirmishAI: E323AI 3.25.0 (team 0)>: No usable config file available for this Mod/Game.
    [f=-000001] <SkirmishAI: E323AI 3.25.0 (team 0)>: A template can be found at: S44-config.cfg
    [f=-000001] <SkirmishAI: E323AI 3.25.0 (team 0)>: Shutting down...
    [f=-000001] [CrashHandler] Error: Aborted (SIGABRT) in spring 103.0
    [f=-000001] [CrashHandler] Error: Halted Stacktrace for Spring 103.0 using libunwind:
    [f=-000001] [CrashHandler] Error: This stack trace indicates a problem with a Skirmish AI library.
    [f=-000001] [CrashHandler] Error: [00]                                                                                                                elf-init.c:?  CrashHandler::HaltedStacktrace(std::string const&, siginfo_t*, ucontext*)
    [f=-000001] [CrashHandler] Error: [01]                                                                                                                elf-init.c:?  CrashHandler::HandleSignal(int, siginfo_t*, void*)
    [f=-000001] [CrashHandler] Error: [02]                                                                            /lib64/libpthread.so.0(+0x115a0) [0x2aa4626a5a0]  funlockfile
    [f=-000001] [CrashHandler] Error: [03]                                                                              /lib64/libc.so.6(gsignal+0x37) [0x2aa42214ed7]  gsignal
    [f=-000001] [CrashHandler] Error: [04]                                                                               /lib64/libc.so.6(abort+0x17a) [0x2aa4221641a]  abort
    [f=-000001] [CrashHandler] Error: [05]   /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/libstdc++.so.6(_ZN9__gnu_cxx27__verbose_terminate_handlerEv+0x175) [0x2aa42b21115]  __gnu_cxx::__verbose_terminate_handler()
    [f=-000001] [CrashHandler] Error: [06]                                             /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/libstdc++.so.6(+0x771c5) [0x2aa42b1e1c5]  std::rethrow_exception(std::__exception_ptr::exception_ptr)
    [f=-000001] [CrashHandler] Error: [07]                                             /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/libstdc++.so.6(+0x772b0) [0x2aa42b1e2b0]  std::terminate()
    [f=-000001] [CrashHandler] Error: [08]                                             /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.4/libstdc++.so.6(+0x7765b) [0x2aa42b1e65b]  __cxa_throw
    [f=-000001] [CrashHandler] Error: [09]                                                                                                               UnitDef.cpp:?  CE323AI::InitAI(springLegacyAI::IGlobalAICallback*, int)
    [f=-000001] [CrashHandler] Error: [10]                                                                                                               UnitDef.cpp:?  springLegacyAI::CAIAI::handleEvent(int, void const*)
    [f=-000001] [CrashHandler] Error: [11]                         .../share/games/spring/AI/Skirmish/E323AI/3.25.0/libSkirmishAI.so(handleEvent+0x9b) [0x2aa358e766b]  handleEvent
    [f=-000001] [CrashHandler] Error: [12]                                                                                                                elf-init.c:?  CSkirmishAILibrary::HandleEvent(int, int, void const*) const
    [f=-000001] [CrashHandler] Error: [13]                                                                                                                elf-init.c:?  CSkirmishAIWrapper::HandleEvent(int, void const*) const
    [f=-000001] [CrashHandler] Error: [14]                                                                                                                elf-init.c:?  CSkirmishAIWrapper::Init()
    [f=-000001] [CrashHandler] Error: [15]                                                                                                                elf-init.c:?  CEngineOutHandler::CreateSkirmishAI(unsigned long)
    [f=-000001] [CrashHandler] Error: [16]                                                                                                                elf-init.c:?  CSkirmishAIHandler::CreateLocalSkirmishAI(unsigned long)
    [f=-000001] [CrashHandler] Error: [17]                                                                                                                elf-init.c:?  CGame::LoadSkirmishAIs()
    [f=-000001] [CrashHandler] Error: [18]                                                                                                                elf-init.c:?  CGame::LoadGame(std::string const&, bool)
    [f=-000001] [CrashHandler] Error: [19]                                                                                                                elf-init.c:?  CLoadScreen::Init()
    [f=-000001] [CrashHandler] Error: [20]                                                                                                                elf-init.c:?  CLoadScreen::CreateInstance(std::string const&, std::string const&, ILoadSaveHandler*)
    [f=-000001] [CrashHandler] Error: [21]                                                                                                                elf-init.c:?  CPreGame::UpdateClientNet()
    [f=-000001] [CrashHandler] Error: [22]                                                                                                                elf-init.c:?  CPreGame::Update()
    [f=-000001] [CrashHandler] Error: [23]                                                                                                                elf-init.c:?  SpringApp::Update()
    [f=-000001] [CrashHandler] Error: [24]                                                                                                                elf-init.c:?  SpringApp::Run()
    [f=-000001] [CrashHandler] Error: [25]                                                                                                                elf-init.c:?  Run(int, char**)
    [f=-000001] [CrashHandler] Error: [26]                                                                                                                elf-init.c:?  main
    [f=-000001] [CrashHandler] Error: [27]                                                                    /lib64/libc.so.6(__libc_start_main+0xfc) [0x2aa422018fc]  __libc_start_main
    [f=-000001] [CrashHandler] Error: [28]                                                                                      .../spring(_start+0x29) [0x57aa782249]  _start
    [f=-000001] Error: [ErrorMessageBox][1] msg="Spring has crashed:
    Aborted (SIGABRT).
    
    A stacktrace has been written to:
      /home/specing/.spring/infolog.txt" IsMainThread()=1 fromMain=0
    [f=-000001] Error: [ErrorMessageBox][2]
    [f=-000001] [SpringApp::ShutDown][1]
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=0
    [f=-000001] [SpringApp::ShutDown][2]
    [f=-000001] [KillLua][1]
    [f=-000001] [KillLua][2]
    [f=-000001] [KillLua][3]
    [f=-000001] All units set to Maneuver
    [f=-000001] Reloading GUI config from file: LuaUI/panel.txt
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] [KillLua][4]
    [f=-000001] [~CGame]1]
    [f=-000001] [KillLua][1]
    [f=-000001] [KillLua][2]
    [f=-000001] [KillLua][3]
    [f=-000001] [KillLua][4]
    [f=-000001] [KillMisc][1]
    [f=-000001] [KillMisc][2]
    [f=-000001] [KillRendering][1]
    [f=-000001] [KillInterface][1]
    [f=-000001] [KillInterface][2]
    [f=-000001] [KillSimulation][1]
    [f=-000001] [KillSimulation][2]
    [f=-000001] [CCollisionHandler] dis-/continuous tests: 0/0
    [f=-000001] [KillSimulation][3]
    [f=-000001] [~CPathCache(44x44)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(44x44)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(176x176)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] [~CPathCache(176x176)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] Statistics for RectangleOptimizer: 0%
    [f=-000001] LosHandler stats: total instances=2; shared=0%; from cache=50%
    [f=-000001] [KillSimulation][4]
    [f=-000001] [~CGame][2]
    [f=-000001] [~CGame][3]
    [f=-000001] [SpringApp::ShutDown][3]
    [f=-000001] Statistics for local connection:
    Received: 640 bytes
    Sent: 83 bytes
    
    [f=-000001] Writing demo: /home/specing/.spring/demos/20170422_020430_Expanded_Confluence_103.sdfz
    [f=-000001] [SpringApp::ShutDown][4]
    [f=-000001] [WatchDog] deregistering controls for thread [audio]
    [f=-000001] [SpringApp::ShutDown][5]
    [f=-000001] [SpringApp::ShutDown][6]
    [f=-000001] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=0x57ad82ae70
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::ShutDown][9]
    Error: [ErrorMessageBox][3]
    Error: [ErrorMessageBox][4]
    Fatal: Spring crashed
    Spring has crashed:
    Aborted (SIGABRT).
    
    A stacktrace has been written to:
      /home/specing/.spring/infolog.txt
    
    txt file icon infolog.txt (35,356 bytes) 2017-04-22 02:05 +
  • ? file icon 20170422_020430_Expanded_Confluence_103.sdfz (1,480 bytes) 2017-04-22 02:07

-Relationships
has duplicate 0005912resolvedabma Spring engine cant start 1944 game. just installed springlobby. 
+Relationships

-Notes

~0017474

ThinkSome (reporter)

demo

~0017596

AF (reporter)

This is the same issue as AAI, the code was literally copy pasted from AAI

~0017600

abma (administrator)

https://github.com/spring/E323AI/blob/c1c579019a0dcacddc4cf9202d7d4da97d21c37e/CE323AI.cpp#L83

somehow i failed in grepping :-|

~0017604

abma (administrator)

RAI/LogFile.cpp: throw 11;

~0017605

abma (administrator)

Fix 70d22ceaf50224d44fdfbc16c8eb0cb3ddf4b291 committed to develop branch: fix 0005531: don't throw in C-Interface, repo: spring changeset id: 8187

~0017606

abma (administrator)

https://github.com/spring/spring/commit/51a9698a6f4d634d1c466f760bff04582d359754


possible the AI's still crash /make the engine crash a bit later: if so please report!
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-04-22 02:05 ThinkSome New Issue
2017-04-22 02:05 ThinkSome File Added: infolog.txt
2017-04-22 02:06 ThinkSome Note Added: 0017474
2017-04-22 02:07 ThinkSome File Added: 20170422_020430_Expanded_Confluence_103.sdfz
2017-05-11 00:35 AF Note Added: 0017596
2017-05-11 11:42 abma Note Added: 0017600
2017-05-11 16:38 abma Note Added: 0017604
2017-05-11 16:45 abma Changeset attached => spring develop 70d22cea
2017-05-11 16:45 abma Note Added: 0017605
2017-05-11 16:45 abma Assigned To => abma
2017-05-11 16:45 abma Status new => resolved
2017-05-11 16:45 abma Resolution open => fixed
2017-05-11 16:46 abma Note Added: 0017606
2018-02-27 15:25 abma Relationship added has duplicate 0005912
+Issue History